<template>
  <div class="container">
    <div class="flex-parent">
      <label class="description">Datum:</label>
      <label class="value">{{
        moment(currentDive.date).format("DD. MMMM YYYY")
      }}</label>
    </div>

    <div class="flex-parent">
      <label class="description">Beginn:</label>
      <label class="value">{{ currentDive.diveStartTime }}</label>
    </div>
    <div class="flex-parent">
      <label class="description">Ende:</label>
      <label class="value">{{ currentDive.diveEndTime }}</label>
    </div>
    <div class="flex-parent">
      <label class="description">Dauer:</label>
      <label class="value">{{
        moment(0).utc().seconds(currentDive.duration).format("HH:mm:ss")
      }}</label>
    </div>
    <div class="flex-parent">
      <label class="description">Max. Tiefe:</label>
      <label class="value">{{ currentDive.depth }}</label>
    </div>
    <div class="flex-parent">
      <label class="description">Gasgemisch</label>
      <label class="value">{{
        this.$store.getters.getGasmix.description
      }}</label>
    </div>
    <div class="flex-parent">
      <label class="description">Buddy:</label>
      <label class="value">Malou Mathys</label>
    </div>
  </div>
</template>
<script>
import moment from "moment";

export default {
  data: function () {
    return {
      activeIndex: null,
      moment,
    };
  },
  computed: {
    currentDive() {
      return this.$store.state.currentDive;
    },
  },
};
</script>

<style scoped>
.description {
  font-weight: bold;
  padding-left: 5px;
  padding-top: 2px;
}
.value {
  margin: 0px 5px 0px;
  flex: 1 100%;
}
.flex-parent {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: space-between;

  align-items: stretch;
  border-width: thin;
  border-bottom-style: solid;
}
</style>
